WxWidgets y CodeBlocks/Instalación

De doc.ubuntu-es
(Diferencias entre revisiones)
Saltar a: navegación, buscar
 
(No se muestran 8 ediciones intermedias realizadas por 4 usuarios)
Línea 2: Línea 2:
 
* De mac no se llega a hablar
 
* De mac no se llega a hablar
  
== Instalar la última versión de [[wxWidgets]] ==
+
== Instalar la última versión de [[wxWidgets]] y de [http://www.codeblocks.org/ Code::Blocks] ==
 +
 
 +
En las últimas versiones de Ubuntu, CodeBlocks y las librerias wxWidgets ya vienen en los repositorios oficiales, así que solamente hay que lanzar los siguientes comandos para instalarlo todo:
 +
<pre>
 +
sudo aptitude install codeblocks libcodeblocks0 libwxsmithlib0 codeblocks-contrib
 +
sudo aptitude install libwxgtk2.8-0 libwxgtk2.8-dev wx2.8-headers wx-common
 +
</pre>
 +
En la instalación fíjate que se instalan todos los paquetes, si falta alguno mira los siguientes apartados.
 +
Si se instalaron todos correctamente puedes pasar al [[Capítulo 1.- ¡Mama! ¡Mama! mira lo que hago...]]
 +
 
 +
=== Si falta algún paquete de [[wxWidgets]] ===
 +
 
 +
Si al instalar los paquetes de los repositorios, te das cuenta de que te falta alguno, haz lo siguiente:
 +
 
 
En esta página: <br>
 
En esta página: <br>
 
http://wiki.wxpython.org/InstallingOnUbuntuOrDebian <br>
 
http://wiki.wxpython.org/InstallingOnUbuntuOrDebian <br>
Línea 19: Línea 32:
 
</pre>
 
</pre>
  
Donde DIST debe ser tu distribución (esto último es fundamental), por ejemplo en el caso de Ubuntu 8.04 Hardy-Heron sería necesario poner hardy
+
Donde DIST debe ser tu distribución (esto último es fundamental), por ejemplo en el caso de Ubuntu 8.04 Hardy-Heron sería necesario poner '''hardy'''.<br>
 
Guarda y cierra el archivo...
 
Guarda y cierra el archivo...
 
Ahora necesitamos la llave, para ello ejecuta esto en la terminal:
 
Ahora necesitamos la llave, para ello ejecuta esto en la terminal:
Línea 32: Línea 45:
 
       </li>
 
       </li>
 
       </ul>
 
       </ul>
Bien, ahora actualizemos nuestros repositorios, que para eso los hemos añadido, asi que escribe en una terminal lo siguiente:
+
Bien, ahora actualizemos nuestros repositorios, que para eso los hemos añadido, así que escribe en una terminal lo siguiente:
  
 
<pre>
 
<pre>
Línea 38: Línea 51:
 
</pre>
 
</pre>
  
Y por ultimo vamos a instalar las librerías, para lo que habremos de ejecutar el siguiente comando:
+
Y por último vamos a instalar las librerías, para lo que tendremos que ejecutar el siguiente comando:
  
 
<pre>
 
<pre>
Línea 44: Línea 57:
 
</pre>
 
</pre>
  
¡Y listo!, ¡ya tenemos nuestras flamantes librerias! (Si ya las tenias instaladas, simplemente las actualizará).
+
¡Y listo!, ¡ya tenemos nuestras flamantes librerías! (Si ya las tenías instaladas, simplemente las actualizará).
  
== Instalar la ultima versión de [[Code::Blocks]] ==
+
=== Si falta algún paquete de CodeBlocks [http://www.codeblocks.org/ Code::Blocks] ===
 
Pues ahora vamos a repetir la operacion para instalar code::blocks, asi que coge tu terminal, y escribe lo siguiente:
 
Pues ahora vamos a repetir la operacion para instalar code::blocks, asi que coge tu terminal, y escribe lo siguiente:
  
Línea 65: Línea 78:
 
<pre>
 
<pre>
 
wget -q http://lgp203.free.fr/public.key -O- | sudo apt-key add -
 
wget -q http://lgp203.free.fr/public.key -O- | sudo apt-key add -
 +
</pre>
 +
 +
Bien, ahora actualizemos nuestros repositorios, que para eso los hemos añadido, asi que escribe en una terminal lo siguiente:
 +
 +
<pre>
 +
sudo apt-get update
 
</pre>
 
</pre>
  
Línea 73: Línea 92:
 
</pre>
 
</pre>
  
¡Y listos!, ¡ya tienes las versiones más recientes de [[wxWidgets]] y [[Code::Blocks]]!
+
¡Y listos!, ¡ya tienes las versiones más recientes de [http://www.wxwidgets.org/ wxWidgets] y [http://www.codeblocks.org/ Code::Blocks]!
  
Ahora ya vamos a empezar con [[Code::Blocks]]...
+
Ahora ya vamos a empezar con [http://www.codeblocks.org/ Code::Blocks]...
 
Pero eso será en el siguiente capítulo.
 
Pero eso será en el siguiente capítulo.
  
Línea 84: Línea 103:
 
| style="text-align: center; border: 2px solid #8B673A; background-color: #F0E2C6; -moz-border-radius: 8px; margin: 10 10 10 10; padding: 5px; font-weight: bold;" | [[Capítulo 1.- ¡Mama! ¡Mama! mira lo que hago...]]
 
| style="text-align: center; border: 2px solid #8B673A; background-color: #F0E2C6; -moz-border-radius: 8px; margin: 10 10 10 10; padding: 5px; font-weight: bold;" | [[Capítulo 1.- ¡Mama! ¡Mama! mira lo que hago...]]
 
|}
 
|}
 +
 +
<!-- Categorías -->
 +
[[Categoría:Programación]]

Última revisión de 18:42 5 jun 2010

Lo primero que debes hacer es lo siguiente (me remito al mundo linux, ya hablaremos de windows mas adelante):

  • De mac no se llega a hablar

[editar] Instalar la última versión de wxWidgets y de Code::Blocks

En las últimas versiones de Ubuntu, CodeBlocks y las librerias wxWidgets ya vienen en los repositorios oficiales, así que solamente hay que lanzar los siguientes comandos para instalarlo todo:

sudo aptitude install codeblocks libcodeblocks0 libwxsmithlib0 codeblocks-contrib 
sudo aptitude install libwxgtk2.8-0 libwxgtk2.8-dev wx2.8-headers wx-common

En la instalación fíjate que se instalan todos los paquetes, si falta alguno mira los siguientes apartados. Si se instalaron todos correctamente puedes pasar al Capítulo 1.- ¡Mama! ¡Mama! mira lo que hago...

[editar] Si falta algún paquete de wxWidgets

Si al instalar los paquetes de los repositorios, te das cuenta de que te falta alguno, haz lo siguiente:

En esta página:
http://wiki.wxpython.org/InstallingOnUbuntuOrDebian
Te vienen los repositorios, así que vamos a añadirlos, para ello, en una terminal escribe esto:

sudo gedit /etc/apt/sources.list

Y al final del todo añade estas lineas (correspondientes al repositorio):

# wxWidgets/wxPython repository at apt.wxwidgets.org
deb http://apt.wxwidgets.org/ DIST-wx main
deb-src http://apt.wxwidgets.org/ DIST-wx main

Donde DIST debe ser tu distribución (esto último es fundamental), por ejemplo en el caso de Ubuntu 8.04 Hardy-Heron sería necesario poner hardy.
Guarda y cierra el archivo... Ahora necesitamos la llave, para ello ejecuta esto en la terminal:

curl http://apt.wxwidgets.org/key.asc | sudo apt-key add - 
  • Puede que te ocurra que la terminal te devuelva un error diciéndote que no tienes curl instalado, tranquilo, ella misma te dirá como instalarlo, así que hazlo y repite la orden anterior.

Bien, ahora actualizemos nuestros repositorios, que para eso los hemos añadido, así que escribe en una terminal lo siguiente:

sudo apt-get update

Y por último vamos a instalar las librerías, para lo que tendremos que ejecutar el siguiente comando:

sudo apt-get install libwxgtk2.8-0 libwxgtk2.8-dev wx2.8-headers wx-common

¡Y listo!, ¡ya tenemos nuestras flamantes librerías! (Si ya las tenías instaladas, simplemente las actualizará).

[editar] Si falta algún paquete de CodeBlocks Code::Blocks

Pues ahora vamos a repetir la operacion para instalar code::blocks, asi que coge tu terminal, y escribe lo siguiente:

sudo gedit /etc/apt/sources.list

Y añade al final estas lineas:

# repositorio svn de code::blocks
deb http://lgp203.free.fr/ubuntu/ DIST universe

Guarda y sal... Ahora vamos a añadir la llave, para ello escribe en una terminal lo siguiente:

wget -q http://lgp203.free.fr/public.key -O- | sudo apt-key add -

Bien, ahora actualizemos nuestros repositorios, que para eso los hemos añadido, asi que escribe en una terminal lo siguiente:

sudo apt-get update

Y ahora pasemos a instalar...

sudo apt-get install libcodeblocks0 codeblocks libwxsmithlib0 codeblocks-contrib

¡Y listos!, ¡ya tienes las versiones más recientes de wxWidgets y Code::Blocks!

Ahora ya vamos a empezar con Code::Blocks... Pero eso será en el siguiente capítulo.

Prólogo.- ¿Qué vamos a aprender? Nuestra primera interfaz gráfica con CodeBlocks y wxWidgets Capítulo 1.- ¡Mama! ¡Mama! mira lo que hago...
Herramientas personales